Bug 639278 - Review Request: erlang-lfe - Lisp Flavoured Erlang
Review Request: erlang-lfe - Lisp Flavoured Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 639263
  Show dependency treegraph
 
Reported: 2010-10-01 07:01 EDT by Peter Lemenkov
Modified: 2010-12-02 11:33 EST (History)
4 users (show)

See Also:
Fixed In Version: erlang-lfe-0.6.1-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 01:19:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tim: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Patch to create emacs packages (3.92 KB, patch)
2010-10-31 19:37 EDT, Tim Niemueller
no flags Details | Diff

  None (edit)
Description Peter Lemenkov 2010-10-01 07:01:45 EDT
Spec URL: http://peter.fedorapeople.org/erlang-lfe.spec
SRPM URL: http://peter.fedorapeople.org/erlang-lfe-0.6.1-1.fc12.src.rpm
Description: Lisp Flavoured Erlang, is a lisp syntax front-end to the Erlang
compiler. Code produced with it is compatible with "normal" Erlang
code. An LFE evaluator and shell is also included.

One of the requirements ("soft-dependency") for erlang-rebar

koji scratch build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2505856

rpmlint:
Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-lfe-0.6.1-1.fc12.ppc.rpm 
erlang-lfe.ppc: E: explicit-lib-dependency erlang-stdlib
erlang-lfe.ppc: E: no-binary
erlang-lfe.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
Sulaco ~/rpmbuild/SPECS

All these messages may be omitted (first one is a false positive due to "lib" substring in the name of one of the runtime dependency, the rest are due to fact that arch-independent data is installed into arch-dependent directory)
Comment 1 Jochen Schmitt 2010-10-15 13:06:04 EDT
Some prereview comments:

1,) A better explanation of how you have generate the upstram archive may be helpful

2.) It may be nice, if you can create emacs-* subpackages.
Comment 2 Jochen Schmitt 2010-10-15 13:12:39 EDT
Item 1 has been clarified for me.
Comment 3 Peter Lemenkov 2010-10-15 13:25:31 EDT
(In reply to comment #1)

> 2.) It may be nice, if you can create emacs-* subpackages.

Yes, indeed. I'll try to provide them (unfortunately I'm not an emacs user, so I can't test them).
Comment 4 Peter Lemenkov 2010-10-25 10:48:53 EDT
(In reply to comment #3)
> (In reply to comment #1)
> 
> > 2.) It may be nice, if you can create emacs-* subpackages.
> 
> Yes, indeed. I'll try to provide them (unfortunately I'm not an emacs user, so
> I can't test them).

Unfortunately that was harder that I thought initially. So I'd rather to postpone the creation of (x)emacs sub-packages until someone well-familiar with (x)emacs will step in and help me with it.
Comment 5 Tim Niemueller 2010-10-31 15:14:38 EDT
I'll take it. I'm using emacs daily, and though I'm not profound in writing code for it, I'll have a look anyway. Maybe I can help out with some experience from emacs-lua.
Comment 6 Tim Niemueller 2010-10-31 19:37:06 EDT
Created attachment 456769 [details]
Patch to create emacs packages

This patch adds sub-packages for the Emacs major mode that is included in the package. From a short test the mode seems to work fine in Emacs. The patch also includes inconsistent macro usage. Please apply and try and upload the new version then somewhere for the final review. From a first glance looks good so far.
Comment 7 Peter Lemenkov 2010-11-08 05:25:12 EST
Thanks, Tim - your patch was applied:

http://peter.fedorapeople.org/erlang-lfe.spec
http://peter.fedorapeople.org/erlang-lfe-0.6.1-2.fc12.src.rpm

Koji build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2586465

rpmlint output:

work ~: rpmlint Desktop/erlang-lfe-0.6.1-2.fc14.i686.rpm Desktop/emacs-erlang-lfe-*
erlang-lfe.i686: E: explicit-lib-dependency erlang-stdlib
erlang-lfe.i686: E: no-binary
erlang-lfe.i686: W: only-non-binary-in-usr-lib
emacs-erlang-lfe.noarch: W: no-documentation
emacs-erlang-lfe-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
emacs-erlang-lfe-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-erlang-lfe-el.noarch: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 5 warnings.
work ~: 

All these messages should be ignored.
Comment 8 Peter Lemenkov 2010-11-12 11:01:16 EST
Ping, Tim!
Comment 9 Tim Niemueller 2010-11-12 11:12:35 EST
I'll review it this weekend.
Comment 10 Tim Niemueller 2010-11-14 12:42:53 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

(+) rpmlint is not silent, some messages can be ignored:
  - spelling errors are false positives
  - only-non-binary-in-usr-lib and no-binary: general Erlang packaging problem which cannot
be avoided in the package
  - Explicit lib dependency is required, as no shared lib that can be auto-detected
  - no-documentation: I suggest adding README and COPYRIGHT file (see below), there is also documentation in doc/, why is it not included? You might also want to include the examples as doc.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD).
- The file, containing the text of the license(s) for the package, is included
in %doc.
  - There is a COPYRIGHT file containing the license, it must be included in the %doc section

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

package# sha256sum rvirding-lfe-v0.6.1-0-g1bcf461.tar.gz 
e84a8c8e743badcae9438b66897210c6266f79d580fa9d67fa0dfcd0eff0d976  rvirding-lfe-v0.6.1-0-g1bcf461.tar.gz
downloaded# sha256sum ~/download/rvirding-lfe-v0.6.1-0-g1bcf461.tar.gz 
e84a8c8e743badcae9438b66897210c6266f79d580fa9d67fa0dfcd0eff0d976  ~/download/rvirding-lfe-v0.6.1-0-g1bcf461.tar.gz

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

The documentation should be fixed, the inclusion of the COPYRIGHT file must be fixed.
Comment 12 Tim Niemueller 2010-11-14 15:45:13 EST
Looks good to me now. You should document all changes in the changelog.

APPROVED.
Comment 13 Peter Lemenkov 2010-11-15 00:15:49 EST
Thanks!

New Package SCM Request
=======================
Package Name: erlang-lfe
Short Description: Lisp Flavoured Erlang
Owners: peter
Branches: f13 f14 el5 el6
InitialCC:
Comment 14 Jason Tibbitts 2010-11-15 09:20:53 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2010-11-15 09:59:50 EST
erlang-lfe-0.6.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-lfe-0.6.1-4.fc14
Comment 16 Fedora Update System 2010-11-15 09:59:58 EST
erlang-lfe-0.6.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-lfe-0.6.1-4.fc13
Comment 17 Fedora Update System 2010-11-15 17:15:53 EST
erlang-lfe-0.6.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-lfe'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-lfe-0.6.1-4.fc13
Comment 18 Peter Lemenkov 2010-11-17 01:19:27 EST
Ok, the package is available in Rawhide so I'm closing this.
Comment 19 Fedora Update System 2010-11-17 08:27:44 EST
erlang-lfe-0.6.1-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-lfe-0.6.1-5.el5
Comment 20 Fedora Update System 2010-11-23 16:51:23 EST
erlang-lfe-0.6.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-11-23 16:57:09 EST
erlang-lfe-0.6.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-12-02 11:33:31 EST
erlang-lfe-0.6.1-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.